[ Identification | Description | Input parameters | Output parameters | Links ]

# The `Monitor` Component

Simple single detector/monitor.

## Identification

- Author: Kim Lefmann
- Origin: Risoe
- Date: October 4, 1997
- Version: 1.21

## Description

    Sums neutrons (0th, 1st, and 2nd moment of p) flying through
    the rectangular monitor opening. May also be used as detector.

    Example: Monitor(xmin=-0.1, xmax=0.1, ymin=-0.1, ymax=0.1)

## Input parameters

Parameters in boldface are required; the others are optional.

Name | Unit | Description | Default
--- | --- | --- | ---
xmin | m | Lower x bound of opening | 0
xmax | m | Upper x bound of opening | 0
ymin | m | Lower y bound of opening | 0
ymax | m | Upper y bound of opening | 0
xwidth | m | Width/diameter of detector (x). Overrides xmin,xmax. | 0
yheight | m | Height of detector (y). Overrides ymin,ymax. | 0

## Output parameters

Name | Unit | Description | Default
--- | --- | --- | ---
Nsum | - | Number of neutron hits |
psum | - | Sum of neutron weights |
p2sum | - | 2nd moment of neutron weights |

## Links

- Source code for `Monitor.comp`.

[ Identification | Description | Input parameters | Output parameters | Links ]